//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Streaming {
/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBD6E84632DD4CB3F<br />
/// </para>
/// </remarks>
public static void LoadAllObjectsNow(){
Function.Call((Hash)0xBD6E84632DD4CB3FuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4448EB75B4904BDB<br />
/// </para>
/// </remarks>
public static void LoadScene(float x, float y, float z){
Function.Call((Hash)0x4448EB75B4904BDBuL, x, y, z);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC4582015556D1C46<br />
/// </para>
/// </remarks>
public static bool NetworkUpdateLoadScene(){
return Function.Call<bool>((Hash)0xC4582015556D1C46uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x41CA5A33160EA4AB<br />
/// </para>
/// </remarks>
public static bool IsNetworkLoadingScene(){
return Function.Call<bool>((Hash)0x41CA5A33160EA4ABuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE37B76C387BE28ED<br />
/// </para>
/// </remarks>
public static void SetInteriorActive(int interiorID, bool toggle){
Function.Call((Hash)0xE37B76C387BE28EDuL, interiorID, toggle);
}

/// <summary>
/// Request a model to be loaded into memory.<br />
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x963D27A58DF860AC<br />
/// </para>
/// </remarks>
public static void RequestModel(uint model){
Function.Call((Hash)0x963D27A58DF860ACuL, model);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA0261AEF7ACFC51E<br />
/// </para>
/// </remarks>
public static void RequestMenuPedModel(uint model){
Function.Call((Hash)0xA0261AEF7ACFC51EuL, model);
}

/// <summary>
/// Checks if the specified model has loaded into memory.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x98A4EB5D89A0C952<br />
/// </para>
/// </remarks>
public static bool HasModelLoaded(uint model){
return Function.Call<bool>((Hash)0x98A4EB5D89A0C952uL, model);
}

/// <summary>
/// STREAMING::REQUEST_MODELS_IN_ROOM(l_13BC, &quot;V_FIB01_cur_elev&quot;);<br />STREAMING::REQUEST_MODELS_IN_ROOM(l_13BC, &quot;limbo&quot;);<br />STREAMING::REQUEST_MODELS_IN_ROOM(l_13BB, &quot;V_Office_gnd_lifts&quot;);<br />STREAMING::REQUEST_MODELS_IN_ROOM(l_13BB, &quot;limbo&quot;);<br />STREAMING::REQUEST_MODELS_IN_ROOM(l_13BC, &quot;v_fib01_jan_elev&quot;);<br />STREAMING::REQUEST_MODELS_IN_ROOM(l_13BC, &quot;limbo&quot;);
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8A7A40100EDFEC58<br />
/// </para>
/// </remarks>
public static void RequestModelsInRoom(int /* Interior */ interior, string roomName){
Function.Call((Hash)0x8A7A40100EDFEC58uL, interior, roomName);
}

/// <summary>
/// Unloads model from memory
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE532F5D78798DAAB<br />
/// </para>
/// </remarks>
public static void SetModelAsNoLongerNeeded(uint model){
Function.Call((Hash)0xE532F5D78798DAABuL, model);
}

/// <summary>
/// Check if model is in cdimage(rpf)
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x35B9E0803292B641<br />
/// </para>
/// </remarks>
public static bool IsModelInCdimage(uint model){
return Function.Call<bool>((Hash)0x35B9E0803292B641uL, model);
}

/// <summary>
/// Returns whether the specified model exists in the game.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC0296A2EDF545E92<br />
/// </para>
/// </remarks>
public static bool IsModelValid(uint model){
return Function.Call<bool>((Hash)0xC0296A2EDF545E92uL, model);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 1103<br />
/// <b>Native ID:</b> 0x75816577FEA6DAD5<br />
/// </para>
/// </remarks>
public static bool IsModelAPed(uint model){
return Function.Call<bool>((Hash)0x75816577FEA6DAD5uL, model);
}

/// <summary>
/// Returns whether the specified model represents a vehicle.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x19AAC8F07BFEC53E<br />
/// </para>
/// </remarks>
public static bool IsModelAVehicle(uint model){
return Function.Call<bool>((Hash)0x19AAC8F07BFEC53EuL, model);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x07503F7948F491A7<br />
/// </para>
/// </remarks>
public static void RequestCollisionAtCoord(float x, float y, float z){
Function.Call((Hash)0x07503F7948F491A7uL, x, y, z);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x923CB32A3B874FCB<br />
/// </para>
/// </remarks>
public static void RequestCollisionForModel(uint model){
Function.Call((Hash)0x923CB32A3B874FCBuL, model);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x22CCA434E368F03A<br />
/// </para>
/// </remarks>
public static bool HasCollisionForModelLoaded(uint model){
return Function.Call<bool>((Hash)0x22CCA434E368F03AuL, model);
}

/// <summary>
/// Alias of REQUEST_COLLISION_AT_COORD.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC9156DC11411A9EA<br />
/// </para>
/// </remarks>
public static void RequestAdditionalCollisionAtCoord(float x, float y, float z){
Function.Call((Hash)0xC9156DC11411A9EAuL, x, y, z);
}

/// <summary>
/// Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2DA49C3B79856961<br />
/// </para>
/// </remarks>
public static bool DoesAnimDictExist(string animDict){
return Function.Call<bool>((Hash)0x2DA49C3B79856961uL, animDict);
}

/// <summary>
/// Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD3BD40951412FEF6<br />
/// </para>
/// </remarks>
public static void RequestAnimDict(string animDict){
Function.Call((Hash)0xD3BD40951412FEF6uL, animDict);
}

/// <summary>
/// Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD031A9162D01088C<br />
/// </para>
/// </remarks>
public static bool HasAnimDictLoaded(string animDict){
return Function.Call<bool>((Hash)0xD031A9162D01088CuL, animDict);
}

/// <summary>
/// Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF66A602F829E2A06<br />
/// </para>
/// </remarks>
public static void RemoveAnimDict(string animDict){
Function.Call((Hash)0xF66A602F829E2A06uL, animDict);
}

/// <summary>
/// Starts loading the specified animation set. An animation set provides movement animations for a ped. See SET_PED_MOVEMENT_CLIPSET.<br /><br />Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json<br /><br />Full list of movement clipsets by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/movementClipsetsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6EA47DAE7FAD0EED<br />
/// </para>
/// </remarks>
public static void RequestAnimSet(string animSet){
Function.Call((Hash)0x6EA47DAE7FAD0EEDuL, animSet);
}

/// <summary>
/// Gets whether the specified animation set has finished loading. An animation set provides movement animations for a ped. See SET_PED_MOVEMENT_CLIPSET.<br /><br />Animation set and clip set are synonymous.<br /><br />Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json<br /><br />Full list of movement clipsets by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/movementClipsetsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC4EA073D86FB29B0<br />
/// </para>
/// </remarks>
public static bool HasAnimSetLoaded(string animSet){
return Function.Call<bool>((Hash)0xC4EA073D86FB29B0uL, animSet);
}

/// <summary>
/// Unloads the specified animation set. An animation set provides movement animations for a ped. See SET_PED_MOVEMENT_CLIPSET.<br /><br />Animation set and clip set are synonymous.<br /><br />Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json<br /><br />Full list of movement clipsets by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/movementClipsetsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x16350528F93024B3<br />
/// </para>
/// </remarks>
public static void RemoveAnimSet(string animSet){
Function.Call((Hash)0x16350528F93024B3uL, animSet);
}

/// <summary>
/// Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json<br /><br />Full list of movement clipsets by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/movementClipsetsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD2A71E1A77418A49<br />
/// </para>
/// </remarks>
public static void RequestClipSet(string clipSet){
Function.Call((Hash)0xD2A71E1A77418A49uL, clipSet);
}

/// <summary>
/// Alias for HAS_ANIM_SET_LOADED.<br /><br />Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json<br /><br />Full list of movement clipsets by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/movementClipsetsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x318234F4F3738AF3<br />
/// </para>
/// </remarks>
public static bool HasClipSetLoaded(string clipSet){
return Function.Call<bool>((Hash)0x318234F4F3738AF3uL, clipSet);
}

/// <summary>
/// Alias for REMOVE_ANIM_SET.<br /><br />Full list of animation dictionaries and anims by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/animDictsCompact.json<br /><br />Full list of movement clipsets by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/movementClipsetsCompact.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x01F73A131C18CD94<br />
/// </para>
/// </remarks>
public static void RemoveClipSet(string clipSet){
Function.Call((Hash)0x01F73A131C18CD94uL, clipSet);
}

/// <summary>
/// Exemple: REQUEST_IPL(&quot;TrevorsTrailerTrash&quot;);<br /><br />Full list of IPLs and interior entity sets by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/ipls.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x41B4893843BBDB74<br />
/// </para>
/// </remarks>
public static void RequestIpl(string iplName){
Function.Call((Hash)0x41B4893843BBDB74uL, iplName);
}

/// <summary>
/// Removes an IPL from the map.<br /><br />Full list of IPLs and interior entity sets by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/ipls.json<br /><br />Example:<br />C#:<br />Function.Call(Hash.REMOVE_IPL, &quot;trevorstrailertidy&quot;);<br /><br />C++:<br />STREAMING::REMOVE_IPL(&quot;trevorstrailertidy&quot;);<br /><br />iplName = Name of IPL you want to remove.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEE6C5AD3ECE0A82D<br />
/// </para>
/// </remarks>
public static void RemoveIpl(string iplName){
Function.Call((Hash)0xEE6C5AD3ECE0A82DuL, iplName);
}

/// <summary>
/// Full list of IPLs and interior entity sets by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/ipls.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x88A741E44A2B3495<br />
/// </para>
/// </remarks>
public static bool IsIplActive(string iplName){
return Function.Call<bool>((Hash)0x88A741E44A2B3495uL, iplName);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6E0C692677008888<br />
/// </para>
/// </remarks>
public static void SetStreaming(bool toggle){
Function.Call((Hash)0x6E0C692677008888uL, toggle);
}

/// <summary>
/// 0 - default<br />1 - HeistIsland
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 2189<br />
/// <b>Native ID:</b> 0x7E3F55ED251B76D3<br />
/// </para>
/// </remarks>
public static void LoadGlobalWaterFile(int waterType){
Function.Call((Hash)0x7E3F55ED251B76D3uL, waterType);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 2189<br />
/// <b>Native ID:</b> 0xF741BD853611592D<br />
/// </para>
/// </remarks>
public static int GetGlobalWaterFile(){
return Function.Call<int>((Hash)0xF741BD853611592DuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x717CD6E6FAEBBEDC<br />
/// </para>
/// </remarks>
public static void SetGamePausesForStreaming(bool toggle){
Function.Call((Hash)0x717CD6E6FAEBBEDCuL, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x77B5F9A36BF96710<br />
/// </para>
/// </remarks>
public static void SetReducePedModelBudget(bool toggle){
Function.Call((Hash)0x77B5F9A36BF96710uL, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x80C527893080CCF3<br />
/// </para>
/// </remarks>
public static void SetReduceVehicleModelBudget(bool toggle){
Function.Call((Hash)0x80C527893080CCF3uL, toggle);
}

/// <summary>
/// This is a NOP function. It does nothing at all.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x42CBE54462D92634<br />
/// </para>
/// </remarks>
public static void SetDitchPoliceModels(bool toggle){
Function.Call((Hash)0x42CBE54462D92634uL, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4060057271CEBC89<br />
/// </para>
/// </remarks>
public static int GetNumberOfStreamingRequests(){
return Function.Call<int>((Hash)0x4060057271CEBC89uL);
}

/// <summary>
/// maps script name (thread + 0xD0) by lookup via scriptfx.dat - does nothing when script name is empty
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x944955FB2A3935C8<br />
/// </para>
/// </remarks>
public static void RequestPtfxAsset(){
Function.Call((Hash)0x944955FB2A3935C8uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCA7D9B86ECA7481B<br />
/// </para>
/// </remarks>
public static bool HasPtfxAssetLoaded(){
return Function.Call<bool>((Hash)0xCA7D9B86ECA7481BuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x88C6814073DD4A73<br />
/// </para>
/// </remarks>
public static void RemovePtfxAsset(){
Function.Call((Hash)0x88C6814073DD4A73uL);
}

/// <summary>
///  From the b678d decompiled scripts:<br /><br /> STREAMING::REQUEST_NAMED_PTFX_ASSET(&quot;core_snow&quot;);<br /> STREAMING::REQUEST_NAMED_PTFX_ASSET(&quot;fm_mission_controler&quot;);<br /> STREAMING::REQUEST_NAMED_PTFX_ASSET(&quot;proj_xmas_firework&quot;);<br /> STREAMING::REQUEST_NAMED_PTFX_ASSET(&quot;scr_apartment_mp&quot;);<br /> STREAMING::REQUEST_NAMED_PTFX_ASSET(&quot;scr_biolab_heist&quot;);<br /> STREAMING::REQUEST_NAMED_PTFX_ASSET(&quot;scr_indep_fireworks&quot;);<br /> STREAMING::REQUEST_NAMED_PTFX_ASSET(&quot;scr_indep_parachute&quot;);<br /> STREAMING::REQUEST_NAMED_PTFX_ASSET(&quot;scr_indep_wheelsmoke&quot;);<br /> STREAMING::REQUEST_NAMED_PTFX_ASSET(&quot;scr_mp_cig_plane&quot;);<br /> STREAMING::REQUEST_NAMED_PTFX_ASSET(&quot;scr_mp_creator&quot;);<br /> STREAMING::REQUEST_NAMED_PTFX_ASSET(&quot;scr_mp_tankbattle&quot;);<br /> STREAMING::REQUEST_NAMED_PTFX_ASSET(&quot;scr_ornate_heist&quot;);<br /> STREAMING::REQUEST_NAMED_PTFX_ASSET(&quot;scr_prison_break_heist_station&quot;);
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB80D8756B4668AB6<br />
/// </para>
/// </remarks>
public static void RequestNamedPtfxAsset(string fxName){
Function.Call((Hash)0xB80D8756B4668AB6uL, fxName);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8702416E512EC454<br />
/// </para>
/// </remarks>
public static bool HasNamedPtfxAssetLoaded(string fxName){
return Function.Call<bool>((Hash)0x8702416E512EC454uL, fxName);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5F61EBBE1A00F96D<br />
/// </para>
/// </remarks>
public static void RemoveNamedPtfxAsset(string fxName){
Function.Call((Hash)0x5F61EBBE1A00F96DuL, fxName);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCB9E1EB3BE2AF4E9<br />
/// </para>
/// </remarks>
public static void SetVehiclePopulationBudget(int p0){
Function.Call((Hash)0xCB9E1EB3BE2AF4E9uL, p0);
}

/// <summary>
/// Control how many new (ambient?) peds will spawn in the game world.<br />Range for p0 seems to be 0-3, where 0 is none and 3 is the normal level.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8C95333CFC3340F3<br />
/// </para>
/// </remarks>
public static void SetPedPopulationBudget(int p0){
Function.Call((Hash)0x8C95333CFC3340F3uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x31B73D1EA9F01DA2<br />
/// </para>
/// </remarks>
public static void ClearFocus(){
Function.Call((Hash)0x31B73D1EA9F01DA2uL);
}

/// <summary>
/// Override the area where the camera will render the terrain.<br />p3, p4 and p5 are usually set to 0.0<br />
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBB7454BAFF08FE25<br />
/// </para>
/// </remarks>
public static void SetFocusPosAndVel(float x, float y, float z, float offsetX, float offsetY, float offsetZ){
Function.Call((Hash)0xBB7454BAFF08FE25uL, x, y, z, offsetX, offsetY, offsetZ);
}

/// <summary>
/// It seems to make the entity&apos;s coords mark the point from which LOD-distances are measured. In my testing, setting a vehicle as the focus entity and moving that vehicle more than 300 distance units away from the player will make the level of detail around the player go down drastically (shadows disappear, textures go extremely low res, etc). The player seems to be the default focus entity.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x198F77705FA0931D<br />
/// </para>
/// </remarks>
public static void SetFocusEntity(int /* Entity */ entity){
Function.Call((Hash)0x198F77705FA0931DuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2DDFF3FB9075D747<br />
/// </para>
/// </remarks>
public static bool IsEntityFocus(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x2DDFF3FB9075D747uL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0811381EF5062FEC<br />
/// </para>
/// </remarks>
public static void SetRestoreFocusEntity(int /* Entity */ p0){
Function.Call((Hash)0x0811381EF5062FECuL, p0);
}

/// <summary>
/// Possible p0 values:<br /><br />&quot;prologue&quot;<br />&quot;Prologue_Main&quot;
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xAF12610C644A35C9<br />
/// </para>
/// </remarks>
public static void SetMapdatacullboxEnabled(string name, bool toggle){
Function.Call((Hash)0xAF12610C644A35C9uL, name, toggle);
}

/// <summary>
/// This native does absolutely nothing, just a nullsub
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4E52E752C76E7E7A<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void SetAllMapdataCulled(int /* bug: Any */ p0){
Function.Call((Hash)0x4E52E752C76E7E7AuL, p0);
}

/// <summary>
/// Always returns zero.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x219C7B8D53E429FD<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static int StreamvolCreateSphere(float x, float y, float z, float rad, int /* bug: Any */ p4, int /* bug: Any */ p5){
return Function.Call<int>((Hash)0x219C7B8D53E429FDuL, x, y, z, rad, p4, p5);
}

/// <summary>
/// Always returns zero.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1F3F018BC3AFA77C<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static int StreamvolCreateFrustum(float p0, float p1, float p2, float p3, float p4, float p5, float p6, int /* bug: Any */ p7, int /* bug: Any */ p8){
return Function.Call<int>((Hash)0x1F3F018BC3AFA77CuL, p0, p1, p2, p3, p4, p5, p6, p7, p8);
}

/// <summary>
/// Always returns zero.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0AD9710CEE2F590F<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static int StreamvolCreateLine(float p0, float p1, float p2, float p3, float p4, float p5, int /* bug: Any */ p6){
return Function.Call<int>((Hash)0x0AD9710CEE2F590FuL, p0, p1, p2, p3, p4, p5, p6);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1EE7D8DF4425F053<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void StreamvolDelete(int /* bug: Any */ unused){
Function.Call((Hash)0x1EE7D8DF4425F053uL, unused);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7D41E9D2D17C5B2D<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool StreamvolHasLoaded(int /* bug: Any */ unused){
return Function.Call<bool>((Hash)0x7D41E9D2D17C5B2DuL, unused);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x07C313F94746702C<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool StreamvolIsValid(int /* bug: Any */ unused){
return Function.Call<bool>((Hash)0x07C313F94746702CuL, unused);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBC9823AB80A3DCAC<br />
/// </para>
/// </remarks>
public static bool IsStreamvolActive(){
return Function.Call<bool>((Hash)0xBC9823AB80A3DCACuL);
}

/// <summary>
/// `radius` value is usually between `3f` and `7000f` in original 1868 scripts.<br />`p7` is 0, 1, 2, 3 or 4 used in decompiled scripts, 0 is by far the most common.<br />Returns True if success, used only 7 times in decompiled scripts of 1868
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x212A8D0D2BABFAC2<br />
/// </para>
/// </remarks>
public static bool NewLoadSceneStart(float posX, float posY, float posZ, float offsetX, float offsetY, float offsetZ, float radius, int p7){
return Function.Call<bool>((Hash)0x212A8D0D2BABFAC2uL, posX, posY, posZ, offsetX, offsetY, offsetZ, radius, p7);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xACCFB4ACF53551B0<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool NewLoadSceneStartSphere(float x, float y, float z, float radius, int /* bug: Any */ p4){
return Function.Call<bool>((Hash)0xACCFB4ACF53551B0uL, x, y, z, radius, p4);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC197616D221FF4A4<br />
/// </para>
/// </remarks>
public static void NewLoadSceneStop(){
Function.Call((Hash)0xC197616D221FF4A4uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA41A05B6CB741B85<br />
/// </para>
/// </remarks>
public static bool IsNewLoadSceneActive(){
return Function.Call<bool>((Hash)0xA41A05B6CB741B85uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x01B8247A7A8B9AD1<br />
/// </para>
/// </remarks>
public static bool IsNewLoadSceneLoaded(){
return Function.Call<bool>((Hash)0x01B8247A7A8B9AD1uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x71E7B2E657449AAD<br />
/// </para>
/// </remarks>
public static bool IsSafeToStartPlayerSwitch(){
return Function.Call<bool>((Hash)0x71E7B2E657449AADuL);
}

/// <summary>
/// // this enum comes directly from R* so don&apos;t edit this<br />enum ePlayerSwitchTypes<br />{<br />  SWITCH_TYPE_AUTO,<br /> SWITCH_TYPE_LONG,<br /> SWITCH_TYPE_MEDIUM,<br />   SWITCH_TYPE_SHORT<br />};<br /><br />Use GET_IDEAL_PLAYER_SWITCH_TYPE for the best switch type.<br /><br />----------------------------------------------------<br /><br />Examples from the decompiled scripts:<br /><br />STREAMING::START_PLAYER_SWITCH(l_832._f3, PLAYER::PLAYER_PED_ID(), 0, 3);<br />STREAMING::START_PLAYER_SWITCH(l_832._f3, PLAYER::PLAYER_PED_ID(), 2050, 3);<br />STREAMING::START_PLAYER_SWITCH(PLAYER::PLAYER_PED_ID(), l_832._f3, 1024, 3);<br />STREAMING::START_PLAYER_SWITCH(g_141F27, PLAYER::PLAYER_PED_ID(), 513, v_14);<br /><br />Note: DO NOT, use SWITCH_TYPE_LONG with flag 513. It leaves you stuck in the clouds. You&apos;ll have to call STOP_PLAYER_SWITCH() to return to your ped.<br /><br />Flag 8 w/ SWITCH_TYPE_LONG will zoom out 3 steps, then zoom in 2/3 steps and stop on the 3rd and just hang there.<br />Flag 8 w/ SWITCH_TYPE_MEDIUM will zoom out 1 step, and just hang there.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFAA23F2CBA159D67<br />
/// </para>
/// </remarks>
public static void StartPlayerSwitch(int /* Ped */ from, int /* Ped */ to, int flags, int switchType){
Function.Call((Hash)0xFAA23F2CBA159D67uL, from, to, flags, switchType);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x95C0A5BBDC189AA1<br />
/// </para>
/// </remarks>
public static void StopPlayerSwitch(){
Function.Call((Hash)0x95C0A5BBDC189AA1uL);
}

/// <summary>
/// Returns true if the player is currently switching, false otherwise.<br />(When the camera is in the sky moving from Trevor to Franklin for example)
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD9D2CFFF49FAB35F<br />
/// </para>
/// </remarks>
public static bool IsPlayerSwitchInProgress(){
return Function.Call<bool>((Hash)0xD9D2CFFF49FAB35FuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB3C94A90D9FC9E62<br />
/// </para>
/// </remarks>
public static int GetPlayerSwitchType(){
return Function.Call<int>((Hash)0xB3C94A90D9FC9E62uL);
}

/// <summary>
/// x1, y1, z1 -- Coords of your ped model<br />x2, y2, z2 -- Coords of the ped you want to switch to
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB5D7B26B45720E05<br />
/// </para>
/// </remarks>
public static int GetIdealPlayerSwitchType(float x1, float y1, float z1, float x2, float y2, float z2){
return Function.Call<int>((Hash)0xB5D7B26B45720E05uL, x1, y1, z1, x2, y2, z2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x470555300D10B2A5<br />
/// </para>
/// </remarks>
public static int GetPlayerSwitchState(){
return Function.Call<int>((Hash)0x470555300D10B2A5uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x20F898A5D9782800<br />
/// </para>
/// </remarks>
public static int GetPlayerShortSwitchState(){
return Function.Call<int>((Hash)0x20F898A5D9782800uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5F2013F8BC24EE69<br />
/// </para>
/// </remarks>
public static void SetPlayerShortSwitchStyle(int p0){
Function.Call((Hash)0x5F2013F8BC24EE69uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x78C0D93253149435<br />
/// </para>
/// </remarks>
public static int GetPlayerSwitchJumpCutIndex(){
return Function.Call<int>((Hash)0x78C0D93253149435uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC208B673CE446B61<br />
/// </para>
/// </remarks>
public static void SetPlayerSwitchOutro(float cameraCoordX, float cameraCoordY, float cameraCoordZ, float camRotationX, float camRotationY, float camRotationZ, float camFov, float camFarClip, int rotationOrder){
Function.Call((Hash)0xC208B673CE446B61uL, cameraCoordX, cameraCoordY, cameraCoordZ, camRotationX, camRotationY, camRotationZ, camFov, camFarClip, rotationOrder);
}

/// <summary>
/// All names can be found in playerswitchestablishingshots.meta
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0FDE9DBFC0A6BC65<br />
/// </para>
/// </remarks>
public static void SetPlayerSwitchEstablishingShot(string name){
Function.Call((Hash)0x0FDE9DBFC0A6BC65uL, name);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x43D1680C6D19A8E9<br />
/// </para>
/// </remarks>
public static void AllowPlayerSwitchPan(){
Function.Call((Hash)0x43D1680C6D19A8E9uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x74DE2E8739086740<br />
/// </para>
/// </remarks>
public static void AllowPlayerSwitchOutro(){
Function.Call((Hash)0x74DE2E8739086740uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8E2A065ABDAE6994<br />
/// </para>
/// </remarks>
public static void AllowPlayerSwitchAscent(){
Function.Call((Hash)0x8E2A065ABDAE6994uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xAD5FDF34B81BFE79<br />
/// </para>
/// </remarks>
public static void AllowPlayerSwitchDescent(){
Function.Call((Hash)0xAD5FDF34B81BFE79uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xDFA80CB25D0A19B3<br />
/// </para>
/// </remarks>
public static bool IsSwitchReadyForDescent(){
return Function.Call<bool>((Hash)0xDFA80CB25D0A19B3uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD4793DFF3AF2ABCD<br />
/// </para>
/// </remarks>
public static void EnableSwitchPauseBeforeDescent(){
Function.Call((Hash)0xD4793DFF3AF2ABCDuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBD605B8E0E18B3BB<br />
/// </para>
/// </remarks>
public static void DisableSwitchOutroFx(){
Function.Call((Hash)0xBD605B8E0E18B3BBuL);
}

/// <summary>
/// doesn&apos;t act normally when used on mount chilliad<br />Flags is a bitflag:<br />2^n - Enabled Functionality:<br />0 - Skip camera rotate up<br />3 - Wait for SET_PLAYER_SWITCH_ESTABLISHING_SHOT / hang at last step. You will still need to run 0x74DE2E8739086740 to exit &quot;properly&quot; and then STOP_PLAYER_SWITCH<br />6 - Invert Switch Direction (false = out, true = in)<br />8 - Hang above ped<br /><br />switchType: 0 - 3<br />0: 1 step towards ped<br />1: 3 steps out from ped<br />2: 1 step out from ped<br />3: 1 step towards ped
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xAAB3200ED59016BC<br />
/// </para>
/// </remarks>
public static void SwitchToMultiFirstpart(int /* Ped */ ped, int flags, int switchType){
Function.Call((Hash)0xAAB3200ED59016BCuL, ped, flags, switchType);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD8295AF639FD9CB8<br />
/// </para>
/// </remarks>
public static void SwitchToMultiSecondpart(int /* Ped */ ped){
Function.Call((Hash)0xD8295AF639FD9CB8uL, ped);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x933BBEEB8C61B5F4<br />
/// </para>
/// </remarks>
public static bool IsSwitchToMultiFirstpartFinished(){
return Function.Call<bool>((Hash)0x933BBEEB8C61B5F4uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x08C2D6C52A3104BB<br />
/// </para>
/// </remarks>
public static int GetPlayerSwitchInterpOutDuration(){
return Function.Call<int>((Hash)0x08C2D6C52A3104BBuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5B48A06DD0E792A5<br />
/// </para>
/// </remarks>
public static int GetPlayerSwitchInterpOutCurrentTime(){
return Function.Call<int>((Hash)0x5B48A06DD0E792A5uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5B74EA8CFD5E3E7E<br />
/// </para>
/// </remarks>
public static bool IsSwitchSkippingDescent(){
return Function.Call<bool>((Hash)0x5B74EA8CFD5E3E7EuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1E9057A74FD73E23<br />
/// </para>
/// </remarks>
public static void SetSceneStreamingTracksCamPosThisFrame(){
Function.Call((Hash)0x1E9057A74FD73E23uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0C15B0E443B2349D<br />
/// </para>
/// </remarks>
public static float GetLodscale(){
return Function.Call<float>((Hash)0x0C15B0E443B2349DuL);
}

/// <summary>
/// This allows you to override &quot;extended distance scaling&quot; setting. Needs to be called each frame.<br />Max scaling seems to be 200.0, normal is 1.0<br />See https://gfycat.com/DetailedHauntingIncatern
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA76359FC80B2438E<br />
/// </para>
/// </remarks>
public static void OverrideLodscaleThisFrame(float scaling){
Function.Call((Hash)0xA76359FC80B2438EuL, scaling);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBED8CA5FF5E04113<br />
/// </para>
/// </remarks>
public static void RemapLodscaleRangeThisFrame(float p0, float p1, float p2, float p3){
Function.Call((Hash)0xBED8CA5FF5E04113uL, p0, p1, p2, p3);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x472397322E92A856<br />
/// </para>
/// </remarks>
public static void SuppressHdMapStreamingThisFrame(){
Function.Call((Hash)0x472397322E92A856uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x40AEFD1A244741F2<br />
/// </para>
/// </remarks>
public static void SetRenderHdOnly(bool toggle){
Function.Call((Hash)0x40AEFD1A244741F2uL, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x03F1A106BDA7DD3E<br />
/// </para>
/// </remarks>
public static void ForceAllowTimeBasedFadingThisFrame(){
Function.Call((Hash)0x03F1A106BDA7DD3EuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x95A7DABDDBB78AE7<br />
/// </para>
/// </remarks>
public static void IplGroupSwapStart(string iplName1, string iplName2){
Function.Call((Hash)0x95A7DABDDBB78AE7uL, iplName1, iplName2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x63EB2B972A218CAC<br />
/// </para>
/// </remarks>
public static void IplGroupSwapCancel(){
Function.Call((Hash)0x63EB2B972A218CACuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFB199266061F820A<br />
/// </para>
/// </remarks>
public static bool IplGroupSwapIsReady(){
return Function.Call<bool>((Hash)0xFB199266061F820AuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF4A0DADB70F57FA6<br />
/// </para>
/// </remarks>
public static void IplGroupSwapFinish(){
Function.Call((Hash)0xF4A0DADB70F57FA6uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5068F488DDB54DD8<br />
/// </para>
/// </remarks>
public static bool IplGroupSwapIsActive(){
return Function.Call<bool>((Hash)0x5068F488DDB54DD8uL);
}

/// <summary>
/// This native is used to attribute the SRL that BEGIN_SRL is going to load. This is usually used for &apos;in-game&apos; cinematics (not cutscenes but camera stuff) instead of SET_FOCUS_POS_AND_VEL because it loads a specific area of the map which is pretty useful when the camera moves from distant areas.<br />For instance, GTA:O opening cutscene.<br />https://pastebin.com/2EeKVeLA : a list of SRL found in srllist.meta<br />https://pastebin.com/zd9XYUWY here is the content of a SRL file opened with codewalker.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3D245789CE12982C<br />
/// </para>
/// </remarks>
public static void PrefetchSrl(string srl){
Function.Call((Hash)0x3D245789CE12982CuL, srl);
}

/// <summary>
/// Returns true when the srl from BEGIN_SRL is loaded.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD0263801A4C5B0BB<br />
/// </para>
/// </remarks>
public static bool IsSrlLoaded(){
return Function.Call<bool>((Hash)0xD0263801A4C5B0BBuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9BADDC94EF83B823<br />
/// </para>
/// </remarks>
public static void BeginSrl(){
Function.Call((Hash)0x9BADDC94EF83B823uL);
}

/// <summary>
/// Clear the current srl and stop rendering the area selected by PREFETCH_SRL and started with BEGIN_SRL.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0A41540E63C9EE17<br />
/// </para>
/// </remarks>
public static void EndSrl(){
Function.Call((Hash)0x0A41540E63C9EE17uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA74A541C6884E7B8<br />
/// </para>
/// </remarks>
public static void SetSrlTime(float p0){
Function.Call((Hash)0xA74A541C6884E7B8uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEF39EE20C537E98C<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void SetSrlPostCutsceneCamera(int /* bug: Any */ p0, int /* bug: Any */ p1, int /* bug: Any */ p2, int /* bug: Any */ p3, int /* bug: Any */ p4, int /* bug: Any */ p5){
Function.Call((Hash)0xEF39EE20C537E98CuL, p0, p1, p2, p3, p4, p5);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBEB2D9A1D9A8F55A<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void SetSrlReadaheadTimes(int /* bug: Any */ p0, int /* bug: Any */ p1, int /* bug: Any */ p2, int /* bug: Any */ p3){
Function.Call((Hash)0xBEB2D9A1D9A8F55AuL, p0, p1, p2, p3);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x20C6C7E4EB082A7F<br />
/// </para>
/// </remarks>
public static void SetSrlLongJumpMode(bool p0){
Function.Call((Hash)0x20C6C7E4EB082A7FuL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF8155A7F03DDFC8E<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void SetSrlForcePrestream(int /* bug: Any */ p0){
Function.Call((Hash)0xF8155A7F03DDFC8EuL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB85F26619073E775<br />
/// </para>
/// </remarks>
public static void SetHdArea(float x, float y, float z, float radius){
Function.Call((Hash)0xB85F26619073E775uL, x, y, z, radius);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCE58B1CFB9290813<br />
/// </para>
/// </remarks>
public static void ClearHdArea(){
Function.Call((Hash)0xCE58B1CFB9290813uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB5A4DB34FE89B88A<br />
/// </para>
/// </remarks>
public static void InitCreatorBudget(){
Function.Call((Hash)0xB5A4DB34FE89B88AuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCCE26000E9A6FAD7<br />
/// </para>
/// </remarks>
public static void ShutdownCreatorBudget(){
Function.Call((Hash)0xCCE26000E9A6FAD7uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0BC3144DEB678666<br />
/// </para>
/// </remarks>
public static bool AddModelToCreatorBudget(uint modelHash){
return Function.Call<bool>((Hash)0x0BC3144DEB678666uL, modelHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF086AD9354FAC3A3<br />
/// </para>
/// </remarks>
public static void RemoveModelFromCreatorBudget(uint modelHash){
Function.Call((Hash)0xF086AD9354FAC3A3uL, modelHash);
}

/// <summary>
/// 0.0 = no memory used<br />1.0 = all memory used<br /><br />Maximum model memory (as defined in common\data\missioncreatordata.meta) is 100 MiB
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3D3D8B3BE5A83D35<br />
/// </para>
/// </remarks>
public static float GetUsedCreatorBudget(){
return Function.Call<float>((Hash)0x3D3D8B3BE5A83D35uL);
}

/// <summary>
/// Enables the specified island. For more information, see islandhopper.meta
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Streaming<br />
/// <b>From Build:</b> 2189<br />
/// <b>Native ID:</b> 0x9A9D1BA639675CF1<br />
/// </para>
/// </remarks>
public static void SetIslandEnabled(string name, bool toggle){
Function.Call((Hash)0x9A9D1BA639675CF1uL, name, toggle);
}

}}
